- Qt 6.10
- Qt PDF
- C++ Classes
- QPdfBookmarkModel
- Qt 6.10.2 Reference Documentation

# QPdfBookmarkModel Class

The QPdfBookmarkModel class holds a tree of links (anchors) within a PDF document, such as the table of contents. More...

Header: | `#include <QPdfBookmarkModel>`

- List of all members, including inherited members

## Public Types

enum class | Role { Title, Level, Page, Location, Zoom }

## Properties

- document : QPdfDocument*

## Public Functions

| QPdfBookmarkModel(QObject *parent)
virtual | ~QPdfBookmarkModel() override
QPdfDocument * | document() const
void | setDocument(QPdfDocument *document)

## Reimplemented Public Functions

virtual int | columnCount(const QModelIndex &parent = QModelIndex()) const override
virtual QVariant | data(const QModelIndex &index, int role) const override
virtual QModelIndex | index(int row, int column, const QModelIndex &parent = QModelIndex()) const override
virtual QModelIndex | parent(const QModelIndex &index) const override
virtual QHash<int, QByteArray> | roleNames() const override
virtual int | rowCount(const QModelIndex &parent = QModelIndex()) const override

## Signals

void | documentChanged(QPdfDocument *document)

## Detailed Description

This is used in the Model/View Programming paradigm to display a table of contents in the form of a tree or list.

## Member Type Documentation

### enum class QPdfBookmarkModel::Role

Constant | Value | Description
--- | --- | ---
`QPdfBookmarkModel::Role::Title` | `Qt::UserRole` | The name of the bookmark for display.
`QPdfBookmarkModel::Role::Level` | `257` | The level of indentation.
`QPdfBookmarkModel::Role::Page` | `258` | The page number of the destination (int).
`QPdfBookmarkModel::Role::Location` | `259` | The position of the destination (QPointF).
`QPdfBookmarkModel::Role::Zoom` | `260` | The suggested zoom level (qreal).

## Property Documentation

### document : QPdfDocument*

This property holds the PDF document in which bookmarks are to be found.

Access functions:

QPdfDocument * | document() const
void | setDocument(QPdfDocument *document)

Notifier signal:

void | documentChanged(QPdfDocument *document)

## Member Function Documentation

### `[explicit]` QPdfBookmarkModel::QPdfBookmarkModel(QObject *parent)

Constructs a new bookmark model with parent object parent.

### `[override virtual noexcept]` QPdfBookmarkModel::~QPdfBookmarkModel()

Destroys the model.

### `[override virtual]` int QPdfBookmarkModel::columnCount(const QModelIndex &parent = QModelIndex()) const

### `[override virtual]` QVariant QPdfBookmarkModel::data(const QModelIndex &index, int role) const

### `[override virtual]` QModelIndex QPdfBookmarkModel::index(int row, int column, const QModelIndex &parent = QModelIndex()) const

### `[override virtual]` QModelIndex QPdfBookmarkModel::parent(const QModelIndex &index) const

### `[override virtual]` QHash<int, QByteArray> QPdfBookmarkModel::roleNames() const

### `[override virtual]` int QPdfBookmarkModel::rowCount(const QModelIndex &parent = QModelIndex()) const